# HelpEntry (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: HelpEntry

Package co.aikar.commands

# Class HelpEntry

java.lang.Object
co.aikar.commands.HelpEntry

public class HelpEntry extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommand()`
`String`
`getCommandPrefix()`
`String`
`getDescription()`
`CommandParameter[]`
`getParameters()`
`String`
`getParameterSyntax()`
`String`
`getParameterSyntax(CommandIssuer issuer)`
`int`
`getSearchScore()`
`String`
`getSearchTags()`
`void`
`setSearchScore(int searchScore)`
`boolean`
`shouldShow()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCommand

public String getCommand()

### getCommandPrefix

public String getCommandPrefix()

### getParameterSyntax

public String getParameterSyntax()

### getParameterSyntax

public String getParameterSyntax (CommandIssuer issuer)

### getDescription

public String getDescription()

### setSearchScore

public void setSearchScore (int searchScore)

### shouldShow

public boolean shouldShow()

### getSearchScore

public int getSearchScore()

### getSearchTags

public String getSearchTags()

### getParameters

public CommandParameter[] getParameters()